import React from 'react';
import * as b from '@clutch-creator/bridge';
import Box from '@clutch-marketplace/web-elements/dist/cjs/components/Box';
import State from '@clutch-marketplace/logic/dist/cjs/components/State';
import Lottie from '../../../components/Lottie';
import _26514checksuccessanimationfn from '../../../26514-check-success-animation.json';
import Lottie4BaseOnLoopComplete from './logic/Lottie-4/base-onloopcomplete.js';
import Lottie4BaseOnComplete from './logic/Lottie-4/base-oncomplete.js';
import Lottie4BaseOnSegmentStart from './logic/Lottie-4/base-onsegmentstart.js';
import Checkbox from '@clutch-marketplace/web-elements/dist/cjs/components/Checkbox';
import Defaultcheckbox4BaseOnChange from './logic/default-checkbox-4/base-onchange.js';
import Label from '@clutch-marketplace/web-elements/dist/cjs/components/Label';
import Text from '@clutch-marketplace/web-elements/dist/cjs/components/Text';
import Element from '@clutch-marketplace/element/dist/cjs/components/Element';
import Voidelement8BaseOnChange from './logic/void-element-8/base-onchange-1.js';
import Defaultcheckbox3BaseOnChange from './logic/default-checkbox-3/base-onchange-2.js';
import Defaultcheckbox5BaseOnChange from './logic/default-checkbox-5/base-onchange-3.js';
import Voidelement6BaseOnChange from './logic/void-element-6/base-onchange-4.js';
import Voidelement7BaseOnChange from './logic/void-element-7/base-onchange-5.js';
import Voidelement2BaseOnChange from './logic/void-element-2/base-onchange-6.js';
import Voidelement3BaseOnClick from './logic/void-element-3/base-onclick.js';
import Voidelement4BaseOnClick from './logic/void-element-4/base-onclick-1.js';
import ForEach from '@clutch-marketplace/logic/dist/cjs/components/ForEach';
import styles from './styles.module.css';

export default (props) => {
    const [report, getKey] = b.useReport(props);
    const { variants } = props;
    const variables = {};
  
    const rs = report(null, '1799f1dd72a54b82c003f9d9', 'COMPOSITION', props, variables);
  
    return ([
      <Box
        key='default-box-26'
        variants={b.getVariants(undefined)}
        className={b.mClassnames([
          b.getUniqueClassName(),
          styles['clutchClass23134'],
        ])}
        style={undefined}
        tag={'div'}
        data-d={getKey(rs, '1799f1e263254b82c003fa6a')}
      >
        <State
          key='loop-state'
          variants={b.getVariants(undefined)}
          initialValue={true}
          data-d={getKey(rs, '1799f211b1e54b82c003fc7b')}
        >
          {((r, v) => (...LoopstateArgs) => {
            const newVariables = {};
          
            let variables = {
              ...v,
              ...newVariables
            };
          
            const rs = report(r, '1799f211b1e54b82c003fc7b', '178bf970a34fae252001bf06', LoopstateArgs, newVariables);
          
            const renderFn = [
              <State
                key='loopTimes-state'
                variants={b.getVariants(undefined)}
                initialValue={0}
                data-d={getKey(rs, '1799f1e263254b82c003fa6c')}
              >
                {((r, v) => (...LoopTimesstateArgs) => {
                  const newVariables = {};
                
                  let variables = {
                    ...v,
                    ...newVariables
                  };
                
                  const rs = report(r, '1799f1e263254b82c003fa6c', '178bf970a34fae252001bf06', LoopTimesstateArgs, newVariables);
                
                  const renderFn = [
                    <State
                      key='playing-state'
                      variants={b.getVariants(undefined)}
                      initialValue={true}
                      data-d={getKey(rs, '1799f1e263254b82c003fa6b')}
                    >
                      {((r, v) => (...PlayingstateArgs) => {
                        const newVariables = {};
                      
                        let variables = {
                          ...v,
                          ...newVariables
                        };
                      
                        const rs = report(r, '1799f1e263254b82c003fa6b', '178bf970a34fae252001bf06', PlayingstateArgs, newVariables);
                      
                        const renderFn = [
                          <State
                            key='segmentsEnabled-state'
                            variants={b.getVariants(undefined)}
                            initialValue={false}
                            data-d={getKey(rs, '1799f32048754b82c003f1a6')}
                          >
                            {((r, v) => (...SegmentsEnabledstateArgs) => {
                              const newVariables = {};
                            
                              let variables = {
                                ...v,
                                ...newVariables
                              };
                            
                              const rs = report(r, '1799f32048754b82c003f1a6', '178bf970a34fae252001bf06', SegmentsEnabledstateArgs, newVariables);
                            
                              const renderFn = [
                                <State
                                  key='segmentFrom-state'
                                  variants={b.getVariants(undefined)}
                                  initialValue={0}
                                  data-d={getKey(rs, '1799f32b71554b82c003f23d')}
                                >
                                  {((r, v) => (...SegmentFromstateArgs) => {
                                    const newVariables = {};
                                  
                                    let variables = {
                                      ...v,
                                      ...newVariables
                                    };
                                  
                                    const rs = report(r, '1799f32b71554b82c003f23d', '178bf970a34fae252001bf06', SegmentFromstateArgs, newVariables);
                                  
                                    const renderFn = [
                                      <State
                                        key='segmentTo-state'
                                        variants={b.getVariants(undefined)}
                                        initialValue={70}
                                        data-d={getKey(rs, '1799f3317cd54b82c003f2c2')}
                                      >
                                        {((r, v) => (...SegmentTostateArgs) => {
                                          const newVariables = {};
                                        
                                          let variables = {
                                            ...v,
                                            ...newVariables
                                          };
                                        
                                          const rs = report(r, '1799f3317cd54b82c003f2c2', '178bf970a34fae252001bf06', SegmentTostateArgs, newVariables);
                                        
                                          const renderFn = [
                                            <State
                                              key='speed-state'
                                              variants={b.getVariants(undefined)}
                                              initialValue={1}
                                              data-d={getKey(rs, '1799f33801554b82c003f34b')}
                                            >
                                              {((r, v) => (...SpeedstateArgs) => {
                                                const newVariables = {};
                                              
                                                let variables = {
                                                  ...v,
                                                  ...newVariables
                                                };
                                              
                                                const rs = report(r, '1799f33801554b82c003f34b', '178bf970a34fae252001bf06', SpeedstateArgs, newVariables);
                                              
                                                const renderFn = [
                                                  <State
                                                    key='log-state'
                                                    variants={b.getVariants(undefined)}
                                                    initialValue={[]}
                                                    data-d={getKey(rs, '1799fe784c854b82c003f8d4')}
                                                  >
                                                    {((r, v) => (...LogstateArgs) => {
                                                      const newVariables = {};
                                                    
                                                      let variables = {
                                                        ...v,
                                                        ...newVariables
                                                      };
                                                    
                                                      const rs = report(r, '1799fe784c854b82c003f8d4', '178bf970a34fae252001bf06', LogstateArgs, newVariables);
                                                    
                                                      const renderFn = [
                                                        <State
                                                          key='direction-state'
                                                          variants={b.getVariants(undefined)}
                                                          initialValue={1}
                                                          data-d={getKey(rs, '1799f34145354b82c003f3b5')}
                                                        >
                                                          {((r, v) => (...DirectionstateArgs) => {
                                                            const newVariables = {};
                                                          
                                                            let variables = {
                                                              ...v,
                                                              ...newVariables
                                                            };
                                                          
                                                            const rs = report(r, '1799f34145354b82c003f3b5', '178bf970a34fae252001bf06', DirectionstateArgs, newVariables);
                                                          
                                                            const renderFn = [
                                                              <Lottie
                                                                key='Lottie-4'
                                                                variants={b.getVariants(undefined)}
                                                                animationData={_26514checksuccessanimationfn}
                                                                play={(() => {
                                                                        try {
                                                                          return (b.propertyBind(PlayingstateArgs, ['0','state']));
                                                                        } catch (e) {}
                                                                      })()}
                                                                speed={(() => {
                                                                        try {
                                                                          return (b.propertyBind(SpeedstateArgs, ['0','state']));
                                                                        } catch (e) {}
                                                                      })()}
                                                                direction={(() => {
                                                                        try {
                                                                          return (b.propertyBind(DirectionstateArgs, ['0','state']));
                                                                        } catch (e) {}
                                                                      })()}
                                                                loop={(() => {
                                                                        try {
                                                                          return (b.propertyBind(LoopstateArgs, ['0','state']));
                                                                        } catch (e) {}
                                                                      })()}
                                                                className={b.mClassnames([
                                                                  b.getUniqueClassName(),
                                                                  styles['clutchClass23135'],
                                                                ])}
                                                                style={undefined}
                                                                segments={(() => {
                                                                        try {
                                                                          return (b.propertyBind(SegmentsEnabledstateArgs, ['0','state']) && [b.propertyBind(SegmentFromstateArgs, ['0','state']), b.propertyBind(SegmentTostateArgs, ['0','state'])]);
                                                                        } catch (e) {}
                                                                      })()}
                                                                onLoopComplete={((...args) => Lottie4BaseOnLoopComplete(...args, (() => {
                                                                        try {
                                                                          return (b.propertyBind(LogstateArgs, ['0','setState']));
                                                                        } catch (e) {}
                                                                      })()))}
                                                                onComplete={((...args) => Lottie4BaseOnComplete(...args, (() => {
                                                                        try {
                                                                          return (b.propertyBind(LogstateArgs, ['0','setState']));
                                                                        } catch (e) {}
                                                                      })()))}
                                                                onSegmentStart={((...args) => Lottie4BaseOnSegmentStart(...args, (() => {
                                                                        try {
                                                                          return (b.propertyBind(LogstateArgs, ['0','setState']));
                                                                        } catch (e) {}
                                                                      })()))}
                                                                data-d={getKey(rs, '1799f1e263254b82c003fa6d')}
                                                              />,
                                                              <Box
                                                                key='loop'
                                                                variants={b.getVariants(undefined)}
                                                                className={b.mClassnames([
                                                                  b.getUniqueClassName(),
                                                                  styles['clutchClass23136'],
                                                                ])}
                                                                style={undefined}
                                                                tag={'div'}
                                                                data-d={getKey(rs, '1799f73bb4c54b82c003f01b')}
                                                              >
                                                                <Checkbox
                                                                  key='default-checkbox-4'
                                                                  variants={b.getVariants(undefined)}
                                                                  checked={(() => {
                                                                          try {
                                                                            return (b.propertyBind(LoopstateArgs, ['0','state']));
                                                                          } catch (e) {}
                                                                        })()}
                                                                  onChange={((...args) => Defaultcheckbox4BaseOnChange(...args, (() => {
                                                                          try {
                                                                            return (b.propertyBind(LoopstateArgs, ['0','setState']));
                                                                          } catch (e) {}
                                                                        })()))}
                                                                  disabled={undefined}
                                                                  name={undefined}
                                                                  id={'loop'}
                                                                  data-d={getKey(rs, '1799f73bb4c54b82c003f01c')}
                                                                />
                                                                <Label
                                                                  key='default-label-4'
                                                                  variants={b.getVariants(undefined)}
                                                                  className={b.mClassnames([
                                                                    b.getUniqueClassName(),
                                                                    styles['clutchClass23138'],
                                                                  ])}
                                                                  style={undefined}
                                                                  htmlFor={'loop'}
                                                                  data-d={getKey(rs, '1799f73bb4c54b82c003f01e')}
                                                                >
                                                                  <Text
                                                                    key='default-text-23'
                                                                    variants={b.getVariants(undefined)}
                                                                    className={b.getUniqueClassName()}
                                                                    style={undefined}
                                                                    text={'Loop'}
                                                                    tag={'span'}
                                                                    data-d={getKey(rs, '1799f73bb4c54b82c003f01f')}
                                                                  />
                                                                </Label>
                                                              </Box>,
                                                              <Box
                                                                key='loopTimes'
                                                                variants={b.getVariants(undefined)}
                                                                className={b.mClassnames([
                                                                  b.getUniqueClassName(),
                                                                  styles['clutchClass23139'],
                                                                ])}
                                                                style={undefined}
                                                                tag={'div'}
                                                                data-d={getKey(rs, '1799fcbaf5854b82c003fbdd')}
                                                              >
                                                                <Text
                                                                  key='default-text-28'
                                                                  variants={b.getVariants(undefined)}
                                                                  className={b.getUniqueClassName()}
                                                                  style={undefined}
                                                                  text={'Loop times'}
                                                                  tag={'span'}
                                                                  data-d={getKey(rs, '1799fcbaf5854b82c003fbde')}
                                                                />
                                                                <Element
                                                                  key='void-element-8'
                                                                  variants={b.getVariants(undefined)}
                                                                  tag={'input'}
                                                                  type={'number'}
                                                                  value={(() => {
                                                                          try {
                                                                            return (b.propertyBind(LoopstateArgs, ['0','state']) === true ? '' : b.propertyBind(LoopstateArgs, ['0','state']) === false ? 0 : b.propertyBind(LoopTimesstateArgs, ['0','state']));
                                                                          } catch (e) {}
                                                                        })()}
                                                                  onChange={((...args) => Voidelement8BaseOnChange(...args, (() => {
                                                                          try {
                                                                            return (b.propertyBind(LoopTimesstateArgs, ['0','setState']));
                                                                          } catch (e) {}
                                                                        })(),(() => {
                                                                          try {
                                                                            return (b.propertyBind(LoopstateArgs, ['0','setState']));
                                                                          } catch (e) {}
                                                                        })()))}
                                                                  data-d={getKey(rs, '1799fcbaf5854b82c003fbdf')}
                                                                />
                                                              </Box>,
                                                              <Box
                                                                key='playing'
                                                                variants={b.getVariants(undefined)}
                                                                className={b.mClassnames([
                                                                  b.getUniqueClassName(),
                                                                  styles['clutchClass23141'],
                                                                ])}
                                                                style={undefined}
                                                                tag={'div'}
                                                                data-d={getKey(rs, '1799f1e263254b82c003fa6e')}
                                                              >
                                                                <Checkbox
                                                                  key='default-checkbox-3'
                                                                  variants={b.getVariants(undefined)}
                                                                  checked={(() => {
                                                                          try {
                                                                            return (b.propertyBind(PlayingstateArgs, ['0','state']));
                                                                          } catch (e) {}
                                                                        })()}
                                                                  onChange={((...args) => Defaultcheckbox3BaseOnChange(...args, (() => {
                                                                          try {
                                                                            return (b.propertyBind(PlayingstateArgs, ['0','setState']));
                                                                          } catch (e) {}
                                                                        })()))}
                                                                  disabled={undefined}
                                                                  name={undefined}
                                                                  id={'playing'}
                                                                  data-d={getKey(rs, '1799f1e263254b82c003fa6f')}
                                                                />
                                                                <Label
                                                                  key='default-label-3'
                                                                  variants={b.getVariants(undefined)}
                                                                  className={b.mClassnames([
                                                                    b.getUniqueClassName(),
                                                                    styles['clutchClass23143'],
                                                                  ])}
                                                                  style={undefined}
                                                                  htmlFor={'playing'}
                                                                  data-d={getKey(rs, '1799f1e263254b82c003fa71')}
                                                                >
                                                                  <Text
                                                                    key='default-text-21'
                                                                    variants={b.getVariants(undefined)}
                                                                    className={b.getUniqueClassName()}
                                                                    style={undefined}
                                                                    text={'Playing'}
                                                                    tag={'span'}
                                                                    data-d={getKey(rs, '1799f1e263254b82c003fa72')}
                                                                  />
                                                                </Label>
                                                              </Box>,
                                                              <Box
                                                                key='segmentsEnabled'
                                                                variants={b.getVariants(undefined)}
                                                                className={b.mClassnames([
                                                                  b.getUniqueClassName(),
                                                                  styles['clutchClass23144'],
                                                                ])}
                                                                style={undefined}
                                                                tag={'div'}
                                                                data-d={getKey(rs, '1799f8d27ef54b82c003ffd1')}
                                                              >
                                                                <Checkbox
                                                                  key='default-checkbox-5'
                                                                  variants={b.getVariants(undefined)}
                                                                  checked={(() => {
                                                                          try {
                                                                            return (b.propertyBind(SegmentsEnabledstateArgs, ['0','state']));
                                                                          } catch (e) {}
                                                                        })()}
                                                                  onChange={((...args) => Defaultcheckbox5BaseOnChange(...args, (() => {
                                                                          try {
                                                                            return (b.propertyBind(SegmentsEnabledstateArgs, ['0','setState']));
                                                                          } catch (e) {}
                                                                        })()))}
                                                                  disabled={undefined}
                                                                  name={undefined}
                                                                  id={'segments'}
                                                                  data-d={getKey(rs, '1799f8d27ef54b82c003ffd2')}
                                                                />
                                                                <Label
                                                                  key='default-label-5'
                                                                  variants={b.getVariants(undefined)}
                                                                  className={b.mClassnames([
                                                                    b.getUniqueClassName(),
                                                                    styles['clutchClass23146'],
                                                                  ])}
                                                                  style={undefined}
                                                                  htmlFor={'segments'}
                                                                  data-d={getKey(rs, '1799f8d27ef54b82c003ffd4')}
                                                                >
                                                                  <Text
                                                                    key='default-text-25'
                                                                    variants={b.getVariants(undefined)}
                                                                    className={b.getUniqueClassName()}
                                                                    style={undefined}
                                                                    text={'Segments enabled'}
                                                                    tag={'span'}
                                                                    data-d={getKey(rs, '1799f8d27ef54b82c003ffd5')}
                                                                  />
                                                                </Label>
                                                              </Box>,
                                                              <Box
                                                                key='segmentFrom'
                                                                variants={b.getVariants(undefined)}
                                                                className={b.mClassnames([
                                                                  b.getUniqueClassName(),
                                                                  styles['clutchClass23147'],
                                                                ])}
                                                                style={undefined}
                                                                tag={'div'}
                                                                data-d={getKey(rs, '1799fbf62f454b82c003f51b')}
                                                              >
                                                                <Text
                                                                  key='default-text-26'
                                                                  variants={b.getVariants(undefined)}
                                                                  className={b.getUniqueClassName()}
                                                                  style={undefined}
                                                                  text={'Segment from'}
                                                                  tag={'span'}
                                                                  data-d={getKey(rs, '1799fbf62f454b82c003f51c')}
                                                                />
                                                                <Element
                                                                  key='void-element-6'
                                                                  variants={b.getVariants(undefined)}
                                                                  tag={'input'}
                                                                  type={'number'}
                                                                  value={(() => {
                                                                          try {
                                                                            return (b.propertyBind(SegmentFromstateArgs, ['0','state']));
                                                                          } catch (e) {}
                                                                        })()}
                                                                  onChange={((...args) => Voidelement6BaseOnChange(...args, (() => {
                                                                          try {
                                                                            return (b.propertyBind(SegmentFromstateArgs, ['0','setState']));
                                                                          } catch (e) {}
                                                                        })()))}
                                                                  disabled={(() => {
                                                                          try {
                                                                            return (!b.propertyBind(SegmentsEnabledstateArgs, ['0','state']));
                                                                          } catch (e) {}
                                                                        })()}
                                                                  data-d={getKey(rs, '1799fbf62f454b82c003f51d')}
                                                                />
                                                              </Box>,
                                                              <Box
                                                                key='segmentTo'
                                                                variants={b.getVariants(undefined)}
                                                                className={b.mClassnames([
                                                                  b.getUniqueClassName(),
                                                                  styles['clutchClass23149'],
                                                                ])}
                                                                style={undefined}
                                                                tag={'div'}
                                                                data-d={getKey(rs, '1799fc2f49054b82c003f86d')}
                                                              >
                                                                <Text
                                                                  key='default-text-27'
                                                                  variants={b.getVariants(undefined)}
                                                                  className={b.getUniqueClassName()}
                                                                  style={undefined}
                                                                  text={'Segment to'}
                                                                  tag={'span'}
                                                                  data-d={getKey(rs, '1799fc2f49054b82c003f86e')}
                                                                />
                                                                <Element
                                                                  key='void-element-7'
                                                                  variants={b.getVariants(undefined)}
                                                                  tag={'input'}
                                                                  type={'number'}
                                                                  value={(() => {
                                                                          try {
                                                                            return (b.propertyBind(SegmentTostateArgs, ['0','state']));
                                                                          } catch (e) {}
                                                                        })()}
                                                                  onChange={((...args) => Voidelement7BaseOnChange(...args, (() => {
                                                                          try {
                                                                            return (b.propertyBind(SegmentTostateArgs, ['0','setState']));
                                                                          } catch (e) {}
                                                                        })()))}
                                                                  disabled={(() => {
                                                                          try {
                                                                            return (!b.propertyBind(SegmentsEnabledstateArgs, ['0','state']));
                                                                          } catch (e) {}
                                                                        })()}
                                                                  data-d={getKey(rs, '1799fc2f49054b82c003f86f')}
                                                                />
                                                              </Box>,
                                                              <Box
                                                                key='speed'
                                                                variants={b.getVariants(undefined)}
                                                                className={b.mClassnames([
                                                                  b.getUniqueClassName(),
                                                                  styles['clutchClass23151'],
                                                                ])}
                                                                style={undefined}
                                                                tag={'div'}
                                                                data-d={getKey(rs, '1799f1e263254b82c003fa73')}
                                                              >
                                                                <Text
                                                                  key='default-text-22'
                                                                  variants={b.getVariants(undefined)}
                                                                  className={b.getUniqueClassName()}
                                                                  style={undefined}
                                                                  text={'Speed'}
                                                                  tag={'span'}
                                                                  data-d={getKey(rs, '1799f1e263254b82c003fa74')}
                                                                />
                                                                <Element
                                                                  key='void-element-2'
                                                                  variants={b.getVariants(undefined)}
                                                                  tag={'input'}
                                                                  type={'range'}
                                                                  min={0}
                                                                  max={100}
                                                                  value={(() => {
                                                                          try {
                                                                            return (b.propertyBind(SpeedstateArgs, ['0','state']) * 20);
                                                                          } catch (e) {}
                                                                        })()}
                                                                  onChange={((...args) => Voidelement2BaseOnChange(...args, (() => {
                                                                          try {
                                                                            return (b.propertyBind(SpeedstateArgs, ['0','setState']));
                                                                          } catch (e) {}
                                                                        })()))}
                                                                  step={1}
                                                                  data-d={getKey(rs, '1799f1e263254b82c003fa75')}
                                                                />
                                                              </Box>,
                                                              <Box
                                                                key='direction'
                                                                variants={b.getVariants(undefined)}
                                                                className={b.mClassnames([
                                                                  b.getUniqueClassName(),
                                                                  styles['clutchClass23153'],
                                                                ])}
                                                                style={undefined}
                                                                tag={'div'}
                                                                data-d={getKey(rs, '1799f77684654b82c003f2ab')}
                                                              >
                                                                <Text
                                                                  key='default-text-24'
                                                                  variants={b.getVariants(undefined)}
                                                                  className={b.getUniqueClassName()}
                                                                  style={undefined}
                                                                  text={'Direction'}
                                                                  tag={'span'}
                                                                  data-d={getKey(rs, '1799f77684654b82c003f2ac')}
                                                                />
                                                                <Element
                                                                  key='void-element-5'
                                                                  variants={b.getVariants(undefined)}
                                                                  tag={'br'}
                                                                  data-d={getKey(rs, '1799f83c67754b82c003fcf0')}
                                                                />
                                                                <Element
                                                                  key='void-element-3'
                                                                  variants={b.getVariants(undefined)}
                                                                  tag={'input'}
                                                                  type={'button'}
                                                                  value={'-1'}
                                                                  onClick={((...args) => Voidelement3BaseOnClick(...args, (() => {
                                                                          try {
                                                                            return (b.propertyBind(DirectionstateArgs, ['0','setState']));
                                                                          } catch (e) {}
                                                                        })()))}
                                                                  className={b.mClassnames([
                                                                    b.getUniqueClassName(),
                                                                    styles['clutchClass23155'],
                                                                  ])}
                                                                  style={(() => {
                                                                          try {
                                                                            return ({ border: b.propertyBind(DirectionstateArgs, ['0','state']) === -1 ? "2px solid black" : undefined });
                                                                          } catch (e) {}
                                                                        })()}
                                                                  data-d={getKey(rs, '1799f7a8f5b54b82c003f5b1')}
                                                                />
                                                                <Element
                                                                  key='void-element-4'
                                                                  variants={b.getVariants(undefined)}
                                                                  tag={'input'}
                                                                  type={'button'}
                                                                  value={'1'}
                                                                  onClick={((...args) => Voidelement4BaseOnClick(...args, (() => {
                                                                          try {
                                                                            return (b.propertyBind(DirectionstateArgs, ['0','setState']));
                                                                          } catch (e) {}
                                                                        })()))}
                                                                  className={b.mClassnames([
                                                                    b.getUniqueClassName(),
                                                                    styles['clutchClass23156'],
                                                                  ])}
                                                                  style={(() => {
                                                                          try {
                                                                            return ({ border: b.propertyBind(DirectionstateArgs, ['0','state']) === 1 ? "2px solid black" : undefined });
                                                                          } catch (e) {}
                                                                        })()}
                                                                  data-d={getKey(rs, '1799f82fbbc54b82c003fc0a')}
                                                                />
                                                              </Box>,
                                                              <Box
                                                                key='event logs'
                                                                variants={b.getVariants(undefined)}
                                                                className={b.getUniqueClassName()}
                                                                style={undefined}
                                                                tag={'div'}
                                                                data-d={getKey(rs, '1799fe87c0554b82c003fac4')}
                                                              >
                                                                <Text
                                                                  key='default-text-3'
                                                                  variants={b.getVariants(undefined)}
                                                                  className={b.mClassnames([
                                                                    b.getUniqueClassName(),
                                                                    styles['clutchClass23158'],
                                                                  ])}
                                                                  style={undefined}
                                                                  text={'Event log'}
                                                                  tag={'p'}
                                                                  data-d={getKey(rs, '1799fe89e7054b82c003fb36')}
                                                                />
                                                                <Box
                                                                  key='default-box-6'
                                                                  variants={b.getVariants(undefined)}
                                                                  className={b.mClassnames([
                                                                    b.getUniqueClassName(),
                                                                    styles['clutchClass23159'],
                                                                  ])}
                                                                  style={undefined}
                                                                  tag={'div'}
                                                                  data-d={getKey(rs, '1799fe98d9a54b82c003fca2')}
                                                                >
                                                                  <ForEach
                                                                    key='default-foreach-1'
                                                                    variants={b.getVariants(undefined)}
                                                                    items={(() => {
                                                                            try {
                                                                              return (b.propertyBind(LogstateArgs, ['0','state']));
                                                                            } catch (e) {}
                                                                          })()}
                                                                    data-d={getKey(rs, '1799fec199854b82c003f04d')}
                                                                  >
                                                                    {((r, v) => (...Defaultforeach1Args) => {
                                                                      const newVariables = {};
                                                                    
                                                                      let variables = {
                                                                        ...v,
                                                                        ...newVariables
                                                                      };
                                                                    
                                                                      const rs = report(r, '1799fec199854b82c003f04d', '178c39386ddfae252001b37d', Defaultforeach1Args, newVariables);
                                                                    
                                                                      const renderFn = [
                                                                        <Box
                                                                          key='default-box-24'
                                                                          variants={b.getVariants(undefined)}
                                                                          className={b.getUniqueClassName()}
                                                                          style={undefined}
                                                                          tag={'div'}
                                                                          key={(() => {
                                                                                  try {
                                                                                    return (b.propertyBind(Defaultforeach1Args, ['0','index']));
                                                                                  } catch (e) {}
                                                                                })()}
                                                                          data-d={getKey(rs, '1799fec638d54b82c003f101')}
                                                                        >
                                                                          <Text
                                                                            key='default-text-4'
                                                                            variants={b.getVariants(undefined)}
                                                                            className={b.getUniqueClassName()}
                                                                            style={undefined}
                                                                            text={(() => {
                                                                                    try {
                                                                                      return (b.propertyBind(Defaultforeach1Args, ['0','item']));
                                                                                    } catch (e) {}
                                                                                  })()}
                                                                            tag={'span'}
                                                                            data-d={getKey(rs, '1799feded3854b82c003f242')}
                                                                          />
                                                                        </Box>
                                                                      ];
                                                                    
                                                                      return typeof renderFn === 'function' ? renderFn(...Defaultforeach1Args) : renderFn;
                                                                    })(rs, variables)}
                                                                  </ForEach>
                                                                </Box>
                                                              </Box>
                                                            ];
                                                          
                                                            return typeof renderFn === 'function' ? renderFn(...DirectionstateArgs) : renderFn;
                                                          })(rs, variables)}
                                                        </State>
                                                      ];
                                                    
                                                      return typeof renderFn === 'function' ? renderFn(...LogstateArgs) : renderFn;
                                                    })(rs, variables)}
                                                  </State>
                                                ];
                                              
                                                return typeof renderFn === 'function' ? renderFn(...SpeedstateArgs) : renderFn;
                                              })(rs, variables)}
                                            </State>
                                          ];
                                        
                                          return typeof renderFn === 'function' ? renderFn(...SegmentTostateArgs) : renderFn;
                                        })(rs, variables)}
                                      </State>
                                    ];
                                  
                                    return typeof renderFn === 'function' ? renderFn(...SegmentFromstateArgs) : renderFn;
                                  })(rs, variables)}
                                </State>
                              ];
                            
                              return typeof renderFn === 'function' ? renderFn(...SegmentsEnabledstateArgs) : renderFn;
                            })(rs, variables)}
                          </State>
                        ];
                      
                        return typeof renderFn === 'function' ? renderFn(...PlayingstateArgs) : renderFn;
                      })(rs, variables)}
                    </State>
                  ];
                
                  return typeof renderFn === 'function' ? renderFn(...LoopTimesstateArgs) : renderFn;
                })(rs, variables)}
              </State>
            ];
          
            return typeof renderFn === 'function' ? renderFn(...LoopstateArgs) : renderFn;
          })(rs, variables)}
        </State>
      </Box>
    ]);
  };
  ;
