import React from 'react';
import * as b from '@clutch-creator/bridge';
import If from '@clutch-marketplace/logic/dist/cjs/components/If';
import Lottie from '../../../components/Lottie';
import Box from '@clutch-marketplace/web-elements/dist/cjs/components/Box';
import Rainbowfn from '../../../rainbow.json';
import Text from '@clutch-marketplace/web-elements/dist/cjs/components/Text';
import styles from './styles.module.css';

export default (props) => {
    const [report, getKey] = b.useReport(props);
    const { variants } = props;
    const variables = {};
  
    const rs = report(null, '179909b514354b82c003f83f', 'COMPOSITION', props, variables);
  
    return ([
      <If
        key='default-if-1'
        variants={b.getVariants(undefined)}
        condition={undefined}
        data-d={getKey(rs, '17990b9842054b82c003f2aa')}
      >
        <Lottie
          key='Lottie'
          variants={b.getVariants(undefined)}
          animationData={undefined}
          play={undefined}
          speed={1}
          direction={1}
          loop={true}
          className={b.getUniqueClassName()}
          style={undefined}
          data-d={getKey(rs, '179909c23dc54b82c003f8b7')}
        />
      </If>,
      <Box
        key='default-box-8'
        variants={b.getVariants(undefined)}
        className={b.mClassnames([
          b.getUniqueClassName(),
          styles['clutchClass23117'],
        ])}
        style={undefined}
        tag={'div'}
        data-d={getKey(rs, '179a07e179754b82c003f38c')}
      >
        <Lottie
          key='Lottie-6'
          variants={b.getVariants(undefined)}
          animationData={Rainbowfn}
          play={true}
          speed={1}
          direction={1}
          loop={true}
          className={b.mClassnames([
            b.getUniqueClassName(),
            styles['clutchClass23118'],
          ])}
          style={undefined}
          data-d={getKey(rs, '179a07e179754b82c003f38d')}
        />
        <Box
          key='default-box-9'
          variants={b.getVariants(undefined)}
          className={b.mClassnames([
            b.getUniqueClassName(),
            styles['clutchClass23119'],
          ])}
          style={undefined}
          tag={'div'}
          data-d={getKey(rs, '179a07e179754b82c003f38e')}
        >
          <Text
            key='default-text-19'
            variants={b.getVariants(undefined)}
            className={b.mClassnames([
              b.getUniqueClassName(),
              styles['clutchClass23120'],
            ])}
            style={undefined}
            text={'<'}
            tag={'span'}
            data-d={getKey(rs, '179a07e179754b82c003f390')}
          />
          <Text
            key='default-text-7'
            variants={b.getVariants(undefined)}
            className={b.mClassnames([
              b.getUniqueClassName(),
              styles['clutchClass23121'],
            ])}
            style={undefined}
            text={'REACT'}
            tag={'span'}
            data-d={getKey(rs, '179a07e179754b82c003f38f')}
          />
          <Text
            key='default-text-31'
            variants={b.getVariants(undefined)}
            className={b.mClassnames([
              b.getUniqueClassName(),
              styles['clutchClass23122'],
            ])}
            style={undefined}
            text={'-'}
            tag={'span'}
            data-d={getKey(rs, '179a07e179754b82c003f393')}
          />
          <Text
            key='default-text-29'
            variants={b.getVariants(undefined)}
            className={b.mClassnames([
              b.getUniqueClassName(),
              styles['clutchClass23123'],
            ])}
            style={undefined}
            text={'LOTTIE'}
            tag={'span'}
            data-d={getKey(rs, '179a07e179754b82c003f391')}
          />
          <Text
            key='default-text-32'
            variants={b.getVariants(undefined)}
            className={b.mClassnames([
              b.getUniqueClassName(),
              styles['clutchClass23124'],
            ])}
            style={undefined}
            text={'-'}
            tag={'span'}
            data-d={getKey(rs, '179a07e179754b82c003f394')}
          />
          <Text
            key='default-text-30'
            variants={b.getVariants(undefined)}
            className={b.mClassnames([
              b.getUniqueClassName(),
              styles['clutchClass23125'],
            ])}
            style={undefined}
            text={'PLAYER'}
            tag={'span'}
            data-d={getKey(rs, '179a07e179754b82c003f392')}
          />
          <Text
            key='default-text-33'
            variants={b.getVariants(undefined)}
            className={b.mClassnames([
              b.getUniqueClassName(),
              styles['clutchClass23126'],
            ])}
            style={undefined}
            text={'/>'}
            tag={'span'}
            data-d={getKey(rs, '179a07e179754b82c003f395')}
          />
        </Box>
      </Box>
    ]);
  };
  ;
