export default (scrollRef, setAnimationPosition) => {
    if (scrollRef && setAnimationPosition) {
    function handleScroll(e) {
        setAnimationPosition(Math.max((0, e.target.scrollTop - 50) * 0.3));
    }
    const scroller = scrollRef.current
    scroller.addEventListener('scroll', handleScroll, { passive: true });

    return () => {
        scroller.removeEventListener('scroll', handleScroll);
    };
    }
}