import React from 'react';
import * as b from '@clutch-creator/bridge';
import Box from '@clutch-marketplace/web-elements/dist/cjs/components/Box';
import Lottie from '../../../components/Lottie';
import Rainbowfn from '../../../rainbow.json';
import Text from '@clutch-marketplace/web-elements/dist/cjs/components/Text';
import styles from './styles.module.css';

export default (props) => {
    const [report, getKey] = b.useReport(props);
    const { variants } = props;
    const variables = {};
  
    const rs = report(null, '179909b194654b82c003f7fb', 'COMPOSITION', props, variables);
  
    return ([
      <Box
        key='default-box-1'
        variants={b.getVariants(undefined)}
        className={b.mClassnames([
          b.getUniqueClassName(),
          styles['clutchClass23106'],
        ])}
        style={undefined}
        tag={'div'}
        data-d={getKey(rs, '1799ed2135354b82c003f5b4')}
      >
        <Lottie
          key='Lottie-2'
          variants={b.getVariants(undefined)}
          animationData={Rainbowfn}
          play={true}
          speed={1}
          direction={1}
          loop={true}
          className={b.mClassnames([
            b.getUniqueClassName(),
            styles['clutchClass23107'],
          ])}
          style={undefined}
          data-d={getKey(rs, '1799ed1061f54b82c003f471')}
        />
        <Box
          key='default-box-2'
          variants={b.getVariants(undefined)}
          className={b.mClassnames([
            b.getUniqueClassName(),
            styles['clutchClass23108'],
          ])}
          style={undefined}
          tag={'div'}
          data-d={getKey(rs, '1799ed3712e54b82c003f75f')}
        >
          <Text
            key='default-text-13'
            variants={b.getVariants(undefined)}
            className={b.mClassnames([
              b.getUniqueClassName(),
              styles['clutchClass23109'],
            ])}
            style={undefined}
            text={'<'}
            tag={'span'}
            data-d={getKey(rs, '1799ed7026554b82c003fb3d')}
          />
          <Text
            key='default-text-1'
            variants={b.getVariants(undefined)}
            className={b.mClassnames([
              b.getUniqueClassName(),
              styles['clutchClass23110'],
            ])}
            style={undefined}
            text={'REACT'}
            tag={'span'}
            data-d={getKey(rs, '1799ed3d8e454b82c003f7db')}
          />
          <Text
            key='default-text-14'
            variants={b.getVariants(undefined)}
            className={b.mClassnames([
              b.getUniqueClassName(),
              styles['clutchClass23111'],
            ])}
            style={undefined}
            text={'-'}
            tag={'span'}
            data-d={getKey(rs, '1799ee7666f54b82c003f8f7')}
          />
          <Text
            key='default-text-15'
            variants={b.getVariants(undefined)}
            className={b.mClassnames([
              b.getUniqueClassName(),
              styles['clutchClass23112'],
            ])}
            style={undefined}
            text={'LOTTIE'}
            tag={'span'}
            data-d={getKey(rs, '1799ed7b61654b82c003fc85')}
          />
          <Text
            key='default-text-16'
            variants={b.getVariants(undefined)}
            className={b.mClassnames([
              b.getUniqueClassName(),
              styles['clutchClass23113'],
            ])}
            style={undefined}
            text={'-'}
            tag={'span'}
            data-d={getKey(rs, '1799ee76be154b82c003f90c')}
          />
          <Text
            key='default-text-17'
            variants={b.getVariants(undefined)}
            className={b.mClassnames([
              b.getUniqueClassName(),
              styles['clutchClass23114'],
            ])}
            style={undefined}
            text={'PLAYER'}
            tag={'span'}
            data-d={getKey(rs, '1799ed80dfa54b82c003fd6c')}
          />
          <Text
            key='default-text-18'
            variants={b.getVariants(undefined)}
            className={b.mClassnames([
              b.getUniqueClassName(),
              styles['clutchClass23115'],
            ])}
            style={undefined}
            text={'/>'}
            tag={'span'}
            data-d={getKey(rs, '1799ee76e2a54b82c003f91c')}
          />
        </Box>
      </Box>
    ]);
  };
  ;
